Update libdxfrw to 1.0.1 (from upstream git). Rebuild librecad against it.

This fixes CVE-2021-21898, CVE-2021-21899, and CVE-2021-21900.

How to install

sudo dnf upgrade --advisory=FEDORA-2021-fa9e3c23f2

This update has been submitted for testing by spot.

a week ago

This update's test gating status has been changed to 'ignored'.

a week ago

This update has been pushed to testing.

a week ago

This update has been submitted for stable by bodhi.

2 days ago

This update has been pushed to stable.

a day ago

Please login to add feedback.

Metadata
Type
security
Severity
high
Karma
0
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
3
Stable by Time
7 days
Dates
submitted
a week ago
in testing
a week ago
in stable
a day ago
BZ#2025628 CVE-2021-21899 librecad: heap out-of-bounds write in dwgCompressor:copyCompBytes21
0
0
BZ#2025629 CVE-2021-21899 librecad: heap out-of-bounds write in dwgCompressor:copyCompBytes21 [fedora-all]
0
0
BZ#2025631 CVE-2021-21900 librecad: use-after-free in dxfRW:processLType()
0
0
BZ#2025633 CVE-2021-21900 librecad: use-after-free in dxfRW:processLType() [fedora-all]
0
0
BZ#2025634 CVE-2021-21898 librecad: out-of-bounds write in dwgCompressor:decompress18()
0
0
BZ#2025636 CVE-2021-21898 librecad: out-of-bounds write in dwgCompressor:decompress18() [fedora-all]
0
0

Automated Test Results